/* globals EllyModel, GPCanvasModel, EditController */

/**
 * Groups selected items
 */
EllyModel.prototype.groupSelectedItems = function() {
    EditController.groupItems();
};

/**
 * Ungroups items in selected groups
 */
EllyModel.prototype.ungroupSelectedItems = function() {
    EditController.ungroupItems();
};

/**
 * Checks if selected items are in a gorup
 * @returns {Boolean} False if any slected item is not in a group
 */
EllyModel.prototype.selectedItemsAreGroupItems = function() {
    return GPCanvasModel.selectedItemsAreGroupItems();
};
