/* globals EllyModel, GPCanvasModel */
    
/**
 * Set fixed width on selected text item(s)
 * @param {Boolean} limit True to enable, false to disable
 */
EllyModel.prototype.setSelectedItemsTextFixedWidth = function(limit) {
    TextLabelController.fixedWidth = limit;
};

/**
 * Gets fixed width setting for selected text item(s)
 * @returns {Number} 1 if enabled, 0 if disabled
 */
EllyModel.prototype.getSelectedItemsTextFixedWidth = function() {
    return TextLabelController.fixedWidth;
};

/**
 * Set fixed height for selected text item(s)
 * @param {Boolean} limit True to enable, false to disable
 */
EllyModel.prototype.setSelectedItemsTextFixedHeight = function(limit) {
    TextLabelController.fixedHeight = limit;
};

/**
 * Gets fixed height setting for selected text item(s)
 * @returns {Number} 1 if enabled, 0 if disabled
 */
EllyModel.prototype.getSelectedItemsTextFixedHeight = function() {
    return TextLabelController.fixedHeight;
};
