require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var headerColor = '#000000';
var SupplyColor = '#fedb00';
var textbox1height = '0.55';
var textbox2height = '0.11';

if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('CAUTION',0,(-0.114* height + heightoffset),0,true,width,0.65 * height,false,SupplyColor,12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

Elly.addTextItem('AREA IN FRONT OF THIS\nELECTRICAL PANEL\nMUST BE KEPT CLEAR\nFOR 36 INCHES',0,(.34*height + heightoffset),0,true,HeaderWidth,textbox1height*height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

text1y = Elly.getSelectedItemY();
text1height = Elly.getSelectedItemHeight();
Elly.deselectAll();

Elly.addTextItem('OSHA-NEC REGULATIONS',0,0.95*(text1y + text1height),0,true,0.75*HeaderWidth,textbox2height*height,false,'#000000',12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();



Elly.deselectAll();