require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var headerColor = '#000000';
var SupplyColor = '#fedb00';


if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('CAUTION',0,(-0.114 * height + heightoffset),0,true,width,0.65 * height,false,SupplyColor,12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.addTextItem('THIS EQUIPMENT\nSTARTS\nAUTOMATICALLY BY\nREMOTE CONTROL',BorderSize,(0.365 * height + heightoffset),0,true,.95*HeaderWidth,0.59 * height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

Elly.deselectAll();