require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var headerColor = '#000000';
var SupplyColor = '#ffffff';
var HeaderBorderWidth = parseInt(5*height/8.5);
var textbox1height = '0.30';
var textbox2height = '0.18';
var textbox3height = '0.28';

if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addShape('Ellipse',0.07*width,(0.065*height + heightoffset),0,true,0.85*width,0.28*height,false,'#ffffff','#ad2624',HeaderBorderWidth,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('DANGER',0.06*width,(0.08 * height + heightoffset),0,true,0.86*width,0.25 * height,false,SupplyColor,12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.addTextItem('ASBESTOS',0,(.33*height + heightoffset),0,true,HeaderWidth,textbox1height*height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

text1y = Elly.getSelectedItemY();
text1height = Elly.getSelectedItemHeight();
Elly.deselectAll();

Elly.addTextItem('CANCER AND\nLUNG DISEASE HAZARD',0,0.88*(text1y + text1height),0,true,.8*HeaderWidth,textbox2height*height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

text2y = Elly.getSelectedItemY();
text2height = Elly.getSelectedItemHeight();
Elly.deselectAll();

Elly.addTextItem('AUTHORIZED PERSONNEL ONLY\nRESPIRATORS AND PROTECTIVE CLOTHING\nARE REQUIRED IN THIS AREA',0,0.98*(text2y + text2height),0,true,HeaderWidth,textbox3height*height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

Elly.deselectAll();