/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
var Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function barcodeOnly() {
    var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height;
	var colorBlack = "#000000";
	
    Elly.addBarcodeItem(0, 0, 0, false, textWidth, textHeight, Elly.lstBarcode1DSymbols.BARCODE_CODE39, 0, "DATA", colorBlack);
    
    Elly.selectAll();
	Elly.lockSelectedItems();
	Elly.deselectAll();
}

barcodeOnly();
