/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
var Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function BarcodeText() {
    var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height/2;
	var colorBlack = "#000000";
	
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, textHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    Elly.addBarcodeItem(0, textHeight, 0, false, textWidth, textHeight, Elly.lstBarcode1DSymbols.BARCODE_CODE39, 0, "DATA", colorBlack);
    
    Elly.selectAll();
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();
}

BarcodeText();
