/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function smallTopTextLargeBot() {
	var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height;
    var oneFourthHeight = textHeight/4;
    var threeFourthHeight = oneFourthHeight * 3;
    var colorBlack = "#000000";
	
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, oneFourthHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	Elly.addTextItem("ENTER TEXT", 0, oneFourthHeight, 0, true, textWidth, threeFourthHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	
	Elly.selectAll();
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();	
}

smallTopTextLargeBot();
