/* globals EllyModel, require, SupplyProperties */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
var Elly = new EllyModel();

/****************************************/
/*             Supply Setup             */
/****************************************/  
var canvasSize = Elly.getCanvasSize();
var Width = canvasSize.width;
var Height = canvasSize.height;


/****************************************/
/*              Function                */
/****************************************/

function basicTemplate() {

	Elly.clearScene();
    
/*  addShape variables:     shape, x, y, rotation, selected, width, height, aspectRatio, 
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, brushStyle, 
                            drawCircle, cornerRadiusX, cornerRadiusY, startAngle, spanAngle
*/  
    // Rectangle
    Elly.addShape('Rectangle', 0, 0, 0, false, Width, Height, false,'#ffffff','#000000');    // Add rectangle for header
    Elly.deselectAll();
    
}

basicTemplate();