/*exported JUnit */
/*global File */

function JUnit() {
    var report = 'report.xml';
    var outFile = new File(report);
    
    var reportString = '';

    this.startSuite = function(name, tests) {
        reportString += ('\t<testsuite name=\"' + name + '\" tests=\"' + tests + '\">\n');
    };
    this.endSuite = function(){
        reportString += ('\t</testsuite>\n');
        outFile.write(reportString);
        reportString = '';
    };
    this.addPass = function(classname, name) {
        reportString += ('\t\t<testcase classname=\"' + classname + '\" name=\"' + name + '\"/>\n');
    };
    this.addFail = function(classname, name, message) {
        reportString += ('\t\t<testcase classname=\"' + classname +'\" name=\"' + name +'\">\n');
        reportString += ('\t\t\t<failure message=\"' + message +'\" type=\"failure\"/>\n');
        reportString += ('\t\t</testcase>\n');
    };
}
