/* globals EllyModel, GPCanvasModel, StackManager */
    
var stateSignalObject = {'stateChangedCount': 0};

GPCanvasModel.stateChanged.connect(function () { stateSignalObject.stateChangedCount += 1; });

EllyModel.prototype.getStateChangedCount = function() {
    var tempCount = stateSignalObject.stateChangedCount;
    stateSignalObject.stateChangedCount = 0;
    return tempCount;
};

EllyModel.prototype.undo = function() {
    StackManager.undo();
};

EllyModel.prototype.redo = function() {
    StackManager.redo();
};
