/* globals EllyModel */

/**
 * Verifies that an item ID is a number
 * @param {Number} id The number to check
 */
EllyModel.prototype.validateID = function (id) {
    if (typeof id !== 'number') {
        throw new Error('Item IDs must be numbers');
    }
};

EllyModel.prototype.stringToRetNum = function(string) {
    if (string === '') {
        return NaN;
    } else {
        return Number(string);
    }
};
