require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var ItemHeight= 0;
var headerColor = '#000000';
var SupplyColor = '#fedb00';
var textbox1width = '0.65';
var SomethingSomething = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<!-- Generator: Adobe Illustrator 16.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0)  -->\n<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\" \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n<svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\"\nwidth=\"288.5px\" height=\"156px\" viewBox=\"0 0 288.5 156\" enable-background=\"new 0 0 288.5 156\" xml:space=\"preserve\">\n<rect id=\"background_fix\" fill=\"#ffffff\" stroke=\"none\" fill-opacity=\"0\" x=\"0\" y=\"0\" width=\"288.5\" height=\"156\" />\n<g>\n<polygon points=\"95.5,0 0,78 95.5,156 95.5,104.25 288.5,104.25 288.5,51.75 95.5,51.75 95.5,0 	\"/>\n</g>\n</svg>";

if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('CAUTION',0,(-0.114 * height + heightoffset),0,true,width,0.65 * height,false,SupplyColor,12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.addTextItem('MEN\nWORKING\nABOVE',.03*width,(0.33*height + heightoffset),0,true,textbox1width*HeaderWidth,0.65 * height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.addSymbol('',1.05*textbox1width*HeaderWidth,(height + heightoffset),90,true,0.30*width,height,true,SomethingSomething,'#000000','transparent',false,false);

ItemHeight = Elly.getSelectedItemHeight();
Elly.setSelectedItemY(.33*height+((.66*height-ItemHeight)/2)+heightoffset);

Elly.deselectAll();