require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var headerColor = '#000000';
var SupplyColor = '#ffffff';
var HeaderBorderWidth = parseInt(5*height/8.5);

if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addShape('Ellipse',0.07*width,(0.065*height + heightoffset),0,true,0.85*width,0.28*height,false,'#ffffff','#ad2624',HeaderBorderWidth,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('DANGER',0.06*width,(0.08 * height + heightoffset),0,true,0.86*width,0.25 * height,false,SupplyColor,12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.addTextItem('AUTHORIZED\nPERSONNEL\nONLY',BorderSize,(0.33 * height + heightoffset),0,true,HeaderWidth,0.7 * height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');



Elly.deselectAll();