/* globals EllyModel, TestSuite, TestCase, getSystemFontFamilies, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function addText() {   
	var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height;
	var colorBlack = "#000000";
	
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, textHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();
}

addText();
