/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function threeTextItemsTop() {
	var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height;
    var halfHeight = textHeight/2;
    var oneFouthHeight = textHeight/4;
    var colorBlack = "#000000";
    
    //Add two text items in the top half of the canvas
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, oneFouthHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    Elly.addTextItem("ENTER TEXT", 0, oneFouthHeight, 0, true, textWidth, oneFouthHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    
    //Add one text item in the bottom half of the canvas
	Elly.addTextItem("ENTER TEXT", 0, halfHeight, 0, true, textWidth, halfHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	
	Elly.selectAll();
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();
	
}

threeTextItemsTop();
