/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function threeTextItemsTop() {
	var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height/2;
    var textBottomHeight = textHeight/2;
    var colorBlack = "#000000";
    
	//Add one text item in the top half of the canvas
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, textHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    
    //Add two text items in the bottom half of the canvas
	Elly.addTextItem("ENTER TEXT", 0, textHeight, 0, true, textWidth, textBottomHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    Elly.addTextItem("ENTER TEXT", 0, textHeight + textBottomHeight, 0, true, textWidth, textBottomHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    
    Elly.selectAll();
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();
}

threeTextItemsTop();
