/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function threeTextSameSize() {
	var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height;
    var oneThirdHeight = textHeight / 3;
    var twoThirdHeight = oneThirdHeight * 2;
    var colorBlack = "#000000";
	
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, oneThirdHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	Elly.addTextItem("ENTER TEXT", 0, oneThirdHeight, 0, true, textWidth, oneThirdHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    Elly.addTextItem("ENTER TEXT", 0, twoThirdHeight, 0, true, textWidth, oneThirdHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    
    Elly.selectAll();
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();
}

threeTextSameSize();
