/* globals EllyModel, require */

// Include necessary files
require('../../model.js');
require('../../framework.js');

/****************************************/
/*              Variables               */
/****************************************/
Elly = new EllyModel();

/****************************************/
/*              Function                */
/****************************************/

function twoTextItems() {
	var canvasSize = Elly.getCanvasSize();
	var textWidth = canvasSize.width;
	var textHeight = canvasSize.height;
    var halfHeight = textHeight/2;
    var colorBlack = "#000000";
	
	Elly.addTextItem("ENTER TEXT", 0, 0, 0, true, textWidth, halfHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	Elly.addTextItem("ENTER TEXT", 0, halfHeight, 0, true, textWidth, halfHeight, false, colorBlack, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
	
	Elly.selectAll();
	TextLabelController.setPinCenter(true);
	Elly.lockSelectedItems();
	Elly.deselectAll();
}

twoTextItems();
