require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var headerColor = '#002d72';
var SupplyColor = '#ffffff';
var text1y;
var text1height;
var text2y;
var text2height;

if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('NOTICE',-0.01*width,(-0.114 * height + heightoffset),0,false,width,0.65 * height,false,SupplyColor,12,'_Air Toro',1,1,0,'AlignHCenter');

Elly.addTextItem('DO NOT ENTER',0,(.32*height + heightoffset),0,true,HeaderWidth,.40*height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

text1y = Elly.getSelectedItemY();
text1height = Elly.getSelectedItemHeight();
Elly.deselectAll();

Elly.addTextItem('AUTHORIZED\nPERSONNEL ONLY',0,0.85*(text1y + text1height),0,true,.9*HeaderWidth,.35*height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();



Elly.deselectAll();