require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var CanvasSize = Elly.getCanvasSize();
var width = CanvasSize.width;
var height = CanvasSize.height;
var heightoffset = 0;
var headerColor = '#007749';
var SupplyColor = '#ffffff';


if (height > 8.5) 
{
    heightoffset = (height -8.5)/2;
    height = 8.5;
    }

var BorderSize = 0.045*height;
var HeaderWidth = width-(2*BorderSize);

Elly.addShape('Rectangle',BorderSize,(BorderSize + heightoffset),0,false,HeaderWidth,0.32 * height,false,headerColor,headerColor,0,'SolidLine','Round','Round','SolidPattern');

Elly.addTextItem('EMERGENCY',0.017*width,(-.02*height + heightoffset),0,true,0.95*width,0.45 * height,false,SupplyColor,12,'_Air Toro',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();

Elly.addTextItem('BREATHING\nAPPARATUS\nINSIDE',BorderSize,(0.30 * height + heightoffset),0,true,.9*HeaderWidth,0.75 * height,false,'#000000',12,'DejaVu Sans',1,0,0,'AlignHCenter');

Elly.alignToCanvasHorizontalCenter();


Elly.deselectAll();