require('../../model.js');
require('../../framework.js');

var Elly = new EllyModel();
var canvasSize = Elly.getCanvasSize();
var Height = canvasSize.height;
var actualLength = canvasSize.width;
var Location = 0;

options = ScriptHelper.getJavaScriptOptionList();

for (var i = 0; i < options.length; i++) {
	switch(options[i]) {
		case 'length':
			if (options.length>i && options[i+1] != '') {
				actualLength = options[i+1];
				break;
			}
		case 'width':
			if (options.length>i && options[i+1] != '') {
				Height = options[i+1];
				break;
			}
	}
}

Elly.setCanvasSize(actualLength,Height);
var Length = actualLength - actualLength % 1;

function basicTemplate() {
	for (var i = 0; i < Length; i++)	{
		Location = i - Height/16;
		Elly.addShape('Line',Location,Height*15/16,90,false,Height/8,3,false,'#000000');
		if (i<10) {
			if (i === 0) {
			Elly.addTextItem(''+i,(i - 3/32),(Height*15/16 - 5/4),0,false,7/12,3/4);
			}
			else {
			Elly.addTextItem(''+i,(i - 1/4),(Height*15/16 - 5/4),0,false,7/12,3/4);
			}
		}
		else {
			Elly.addTextItem(''+i,(i - 1/4),(Height*15/16 - 5/4),0,false,3/4,3/4);
		}
		Location = i - Height/48 + .25;
		Elly.addShape('Line',Location,Height*47/48,90,false,Height/24,3,false,'#000000');
		Location = i - Height/32 + .5;
		Elly.addShape('Line',Location,Height*31/32,90,false,Height/16,3,false,'#000000');
		Location = i - Height/48 + .75;
		Elly.addShape('Line',Location,Height*47/48,90,false,Height/24,3,false,'#000000');
	}
	if (actualLength == Length && Length < 10) {
		Elly.addTextItem(''+i,(Length - 1/2),(Height*15/16 - 5/4),0,false,7/12,3/4);
	}
	else if (actualLength == Length && Length >= 10) {
		Elly.addTextItem(''+i,(Length - 2/3),(Height*15/16 - 5/4),0,false,3/4,3/4);
	}
	else {
		Elly.addTextItem(''+i,(i - 3/16),(Height*15/16 - 5/4),0,false,3/4,3/4);
	}
	Elly.addShape('Line',(Length - Height/16),Height*15/16,90,false,Height/8,3,false,'#000000');
	if (actualLength >= (Length + .25)) {
		Location = Length - Height/48 + .25;
		Elly.addShape('Line',Location,Height*47/48,90,false,Height/24,3,false,'#000000');
	}
	if (actualLength >= (Length + .5)) {
		Location = Length - Height/32 + .5;
		Elly.addShape('Line',Location,Height*31/32,90,false,Height/16,3,false,'#000000');
	}
	if (actualLength >= (Length + .75)) {
		Location = Length - Height/48 + .75;
		Elly.addShape('Line',Location,Height*47/48,90,false,Height/24,3,false,'#000000');
	}
}

basicTemplate();


