/* globals require */
/* exported EllyModel */
var EllyModel = function () {};

require('../../../libModel/constants.js');     // Constant defines
require('../../../libModel/signals.js');       // Signal counters      
require('../../../libModel/properties.js');    // Position, size, and rotation
require('../../../libModel/scene.js');         // Scene functions
require('../../../libModel/insert.js');        // Item insertion functions
require('../../../libModel/itemID.js');        // Item ID functions
require('../../../libModel/itemZ.js');         // Item z-order functions
require('../../../libModel/selection.js');     // Item selection functions
require('../../../libModel/validation.js');    // Validation functions
require('../../../libModel/file.js');          // Loading and saving functions
require('../../../libModel/nonPrintable.js');  // Non-printable items
require('../../../libModel/print.js');         // Printing functions
require('../../../libModel/grid.js');          // Grid functions
require('../../../libModel/grouping.js');     // Grouping functions
require('../../../libModel/textSizing.js');    // Fixed text sizing functions
require('../../../libModel/alignment.js');     // Item alignment functions
require('../../../libModel/variables.js');     // Variable (datasource) functions
require('../../../libModel/undo.js');          // Undo/redo  functions
require('../../../libModel/addShape.js');      // Add shape item with specific properties
require('../../../libModel/addPixmap.js');     // Add pixmap item with specific properties
require('../../../libModel/addSVG.js');        // Add SVG item with specific properties
require('../../../libModel/addSymbol.js');     // ADD Symbol item wiht specific properties
require('../../../libModel/addGraphic.js');    // Add graphic item with specific properties
require('../../../libModel/addLinePoints.js'); // Add line item by points with specific properties
require('../../../libModel/addLineLength.js'); // Add line item by length and angle with specific properties
require('../../../libModel/addText.js');       // Add text item with specific properties
require('../../../libModel/addRichText.js');   // Add rich text item with specific properties
require('../../../libModel/addBarcode.js');    // Add barcode item with specific properties
require('../../../libModel/barcodes.js');      // Barcode item gets and sets
//require('../../libModel/items.js');         // Line item gets and sets
require('../../../libModel/style.js');         // Pen, Fill, and Brush gets and sets
require('../../../libModel/misc.js');          // Various item call functions
require('../../../libModel/text.js');          // Text formatting
require('../../../libModel/lines.js');          // Line formatting
require('../../../libModel/supplies.js');      // Loaded supplies
require('../../../libModel/units.js');         // Unit conversions